MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001287Orfeo Toolbox (OTB)Generalpublic2016-10-07 14:382017-04-27 15:32
Reporterjulien 
Assigned Tojulien 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Summary0001287: Using S1 images in monteverdi is slow
DescriptionWhen navigating in S1 images with monteverdi, the software becomes unusually slow and shows a lot of CPU usage.
Steps To ReproduceOpen any S1 image in monteverdi.
Additional InformationThis comes from the metadata parsing which is slower than usual for S1 images. However, OTB should not read again and again metadata.

In ImageFileReader, we moved GenerateOutputInformation() from protected to public, and call it directly. The recommended ITK way is to call GetOutput()->UpdateOutputInformation() instead, which will handle the mechanism to avoid doing things twice (or more).

The Solution is to grep ->GenerateOutputInformation() calls on the ImageFileReader class and to replace by ->GetOutput()->UpdateOutputInformation().
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003746)
julien (administrator)
2016-10-10 17:06

First patch here :

https://git.orfeo-toolbox.org/otb.git/commitdiff/92ba553e8d5823ebf7be7bf4fee1cf5180a30f3e [^]

Before commit :

geometry read 10 times at startup, and anytime mouse moves

After commit :

geometry read 10 times at startup, and at each resolution change
(0003747)
rashadkm (developer)
2016-10-11 09:47

what is with the 10 times at startup? just curious?
(0003748)
julien (administrator)
2016-10-11 09:49

4 times in Ice : Init and UpdateResolution for both full view and minimap
6 times in Monteverdi in various method that New() the reader everytime.

I can cut it to 5 times, but this requires bigger, deepper patches, so I will push a branch for that.
(0003749)
rashadkm (developer)
2016-10-11 09:56

okay. That sounds like a plan :)
(0003751)
grizonnetm (administrator)
2016-10-11 13:14

I try to test this patch on Windows but unfortunately the nightly standalone package is not working today. When I launch monteverdi.bat the application reports that the translation files (i18n) are not available and then the application stop
(0003753)
grizonnetm (administrator)
2016-10-11 13:49

I put my system in English and I was able to test the patch. It greatly improves the user experience (navigation...).

I've commented a trace in GLImageActor Initialize method.
(0003754)
julien (administrator)
2016-10-11 14:24

A fix to reduce number of readings to 5 at startup is available here :

https://git.orfeo-toolbox.org/otb.git/shortlog/refs/heads/bug1287-better-fix [^]

If dashboard comes clean, it will be merged in develop.

- Issue History
Date Modified Username Field Change
2016-10-07 14:38 julien New Issue
2016-10-10 17:06 julien Note Added: 0003746
2016-10-11 09:47 rashadkm Note Added: 0003747
2016-10-11 09:49 julien Note Added: 0003748
2016-10-11 09:56 rashadkm Note Added: 0003749
2016-10-11 13:14 grizonnetm Note Added: 0003751
2016-10-11 13:49 grizonnetm Note Added: 0003753
2016-10-11 14:24 julien Note Added: 0003754
2016-10-11 14:24 julien Status new => resolved
2016-10-11 14:24 julien Resolution open => fixed
2016-10-11 14:24 julien Assigned To => julien
2017-04-27 15:32 julien Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker